#include <codecs/CodecFactory.h>
#include <iostream>

using namespace std;

void main(){

	try{
		CodecFactory cf(codecs_dll, CODEC_FACTORY_PREFIX_STR);

		CodecFactory::object_ptr codec(cf.instantiate( "g726" ));

		int out;

		codec->encode(NULL,NULL,out);

		CodecFormatList fl = codec->getSupportedFormats();

		CodecFormatList::iterator i;

		for(i = fl.begin();i != fl.end();i++){
			AudioFormat &af = i->getAudioFormat();
			cout << i->getDescription() << endl;
			cout << af.getSampleRate() << endl;
		}
	}
	catch(dll_exception e){
		cout << e.what() << endl;
	}

}