// CodecFormat.h: interface for the CodecFormat class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CODECFORMAT_H__7BE721F2_4574_4C44_9A58_10B215210CD5__INCLUDED_)
#define AFX_CODECFORMAT_H__7BE721F2_4574_4C44_9A58_10B215210CD5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>

using namespace std;

#include "AudioFormat.h"

class CodecFormat  
{
public:
	CodecFormat(string name, string description, char defaultPt, short stateSize, short frameSize,AudioFormat &audioFormat);
	CodecFormat(const CodecFormat &right);
	virtual ~CodecFormat();
	string getName(){return name;}
	string getDescription(){return description;}
	char getDefaultPt(){return defaultPt;}
	short getStateSize(){return stateSize;}
	short getFrameSize(){return frameSize;}
	AudioFormat &getAudioFormat(){return *audioFormat;}

	virtual void setAudioFormat(AudioFormat &audioFormat){
		delete this->audioFormat;
		this->audioFormat = new AudioFormat(audioFormat);
	}

protected:
	string name;
	string description;
	char defaultPt;
	short stateSize;
	short frameSize;
	AudioFormat *audioFormat;

};

#endif // !defined(AFX_CODECFORMAT_H__7BE721F2_4574_4C44_9A58_10B215210CD5__INCLUDED_)
