// RTPEvent.cpp: implementation of the RTPEvent class.
//
//////////////////////////////////////////////////////////////////////

#ifdef WIN32
#pragma warning (disable:4786)
#endif

#include "RTPEvent.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

RTPEvent::RTPEvent(int cid,rtp_opaque_t opaque, timeval *tp)
:cid(cid),opaque(opaque)
{

}

RTPEvent::~RTPEvent()
{
}

RTPEvent::RTPEvent()
:cid(0),opaque(NULL),time(0.0)
{

}

RTPEvent & RTPEvent::operator =(const RTPEvent &right)
{
	cid = right.cid;
	opaque = right.opaque;
	time = right.time;

	return *this;
}

RTPEvent::RTPEvent(RTPEvent &right)
:cid(right.cid),time(right.time),opaque(right.opaque)
{

}
