// RTPException.h: interface for the RTPException class.
//
//////////////////////////////////////////////////////////////////////

#ifdef WIN32
#pragma warning (disable:4786)
#endif

#if !defined(AFX_RTPEXCEPTION_H__524FC566_C8E1_4257_A7A8_638112B2DCFC__INCLUDED_)
#define AFX_RTPEXCEPTION_H__524FC566_C8E1_4257_A7A8_638112B2DCFC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <exception>
#include <string>

using namespace std;

class RTPException : public exception  
{
public:
	RTPException(int rtp_error,string &message);
	virtual ~RTPException();

	virtual const char *what() const throw();

	inline int getRTPErrorCode(){return rtp_error;}
protected:
	int rtp_error;
	string message;

};


#endif // !defined(AFX_RTPEXCEPTION_H__524FC566_C8E1_4257_A7A8_638112B2DCFC__INCLUDED_)
