// RTPSession.h: interface for the RTPSession class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RTPSESSION_H__99D0EED5_1542_46A0_A02E_C6FFBE8C7182__INCLUDED_)
#define AFX_RTPSESSION_H__99D0EED5_1542_46A0_A02E_C6FFBE8C7182__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "RTPCommon.h"

class RTPEvent;

// TODO:
//	Add initialization of thread
//	Implement thread

class RTPSession  
{
public:
	void _receive();
	int getRTCPSocket(int *socket);
	int execute(RTPEvent &event);
	int setBandwidth(float bandwidth, float rtcpFraction);
	int getRTPSocket(int* socket);
	int send(int tsinc, char marker, short pti, char *payload, int len);
	RTPSession();
	virtual ~RTPSession();
	int getContext(){return cid;}

protected:
	context cid;
};

#endif // !defined(AFX_RTPSESSION_H__99D0EED5_1542_46A0_A02E_C6FFBE8C7182__INCLUDED_)
