#ifdef WIN32
#pragma warning (disable:4786)
#endif

#include <stdlib.h>
#include <AudioDevices/DevCap.h>

const int DevCap::IN_DEV_CAP = 0;
const int DevCap::OUT_DEV_CAP = 1;
const int DevCap::NONE = -1;

DevCap::DevCap()
{
    devHandle = NULL;
    audioFormats = NULL;
    blockSize = 512;
    inVolSupp = false;
    outVolSupp = false;
}

DevCap::DevCap(const DevCap &right)
{
    devHandle = right.devHandle;
    name = right.name;
    audioFormats = new AudioFormats(*(right.audioFormats));
    blockSize = right.blockSize;
    inVolSupp = right.inVolSupp;
    outVolSupp = right.outVolSupp;
}

DevCap::~DevCap() { delete name; delete audioFormats; };
