// CodecFormat.cpp: implementation of the CodecFormat class.
//
//////////////////////////////////////////////////////////////////////
#ifdef WIN32
#pragma warning (disable:4786)
#endif


#include "CodecFormat.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CodecFormat::CodecFormat(string name, string description, char defaultPt, short stateSize, short frameSize,AudioFormat &audioFormat)
: name(name),description(description),defaultPt(defaultPt),stateSize(stateSize),
frameSize(frameSize),audioFormat(NULL)
{
	this->audioFormat = new AudioFormat(audioFormat);

}

CodecFormat::CodecFormat( const CodecFormat &right)
{
	this->audioFormat = new AudioFormat(*(right.audioFormat));
	name = right.name;
	description = right.description;
	defaultPt = right.defaultPt;
	stateSize = right.stateSize;
	frameSize = right.frameSize;

}

CodecFormat::~CodecFormat()
{
	delete audioFormat;
}
